# Valorant CPU优化工具使用说明

## 目录
1. [工具介绍](#工具介绍)
2. [文件结构](#文件结构)
3. [使用前提](#使用前提)
4. [使用步骤](#使用步骤)
5. [工作原理](#工作原理)
6. [日志系统](#日志系统)
7. [CPU架构支持](#cpu架构支持)
8. [注意事项](#注意事项)
9. [常见问题](#常见问题)
10. [安全声明](#安全声明)
11. [技术支持](#技术支持)
12. [免责声明](#免责声明)

## 工具介绍
Valorant CPU优化工具是一个专门为瓦洛兰特（Valorant）玩家设计的性能优化工具。它通过智能调整游戏反作弊系统（Vanguard）的进程优先级和CPU亲和性，帮助玩家获得更流畅的游戏体验。本工具完全免费，开源，且不会修改任何游戏文件。

## 文件结构
```
优化反作弊占用脚本/
├── set_process_priority.ps1  # PowerShell主脚本
├── run_as_admin.bat         # 批处理启动器
└── log.txt                  # 日志文件（自动生成）
```

**重要提示：** 所有文件必须保存在同一个文件夹中，不要分开放置！

## 使用前提
- Windows 10 或 Windows 11 操作系统
- 已安装 Valorant 游戏和 Vanguard 反作弊系统
- 具有管理员权限的用户账户
- PowerShell 执行策略允许运行脚本（工具会自动处理）

## 使用步骤
-[推荐！！！] **若下载的为WFAntiCheatOptimizer.exe 可执行文件直接运行即可**
1. **下载和解压**
   - 点击网页上的"立即下载"按钮下载压缩包
   - 将压缩包解压到一个单独的文件夹中
   - 确保所有文件在同一个文件夹内

2. **启动游戏**
   - 首先启动 Valorant 游戏
   - 确保 Vanguard 反作弊系统正在运行

3. **运行优化工具**
   - 右键点击 `run_as_admin.bat`
   - 选择"以管理员身份运行"
   - 如果出现 Windows 安全提示，点击"是"允许运行

4. **确认优化**
   - 等待脚本执行完成
   - 看到绿色的成功提示后，按任意键退出
   - 现在可以开始游戏了

## 工作原理
1. **进程优先级调整**
   - 将反作弊进程优先级设置为"低"
   - 减少对游戏主进程的CPU资源争抢
   - 不会影响反作弊的正常运行

2. **CPU亲和性优化**
   - 智能检测系统CPU架构
   - 根据不同处理器类型采用不同的优化策略
   - 自动选择最优核心分配方案

3. **自动化处理**
   - 自动检测所需进程
   - 自动请求管理员权限
   - 自动处理PowerShell执行策略

## 日志系统
1. **日志位置**
   - 日志文件保存在工具所在目录的 `log.txt` 中
   - 自动创建和管理，无需手动操作

2. **日志内容**
   - 记录每次操作的详细信息
   - 包含CPU信息、进程状态和操作结果
   - 保留最近10次操作记录
   - 自动清理旧记录，无需手动维护

3. **日志格式**
   - 清晰的时间戳
   - 详细的操作步骤和结果
   - 错误信息和故障排除提示

## CPU架构支持
1. **Intel处理器**
   - **混合架构(大小核)**
     * 自动识别12代、13代、14代等带有E核心的处理器
     * 智能将反作弊进程分配到E核心（小核）
     * 避免占用P核心（大核）资源

   - **传统架构**
     * 识别常规Intel处理器
     * 将进程分配到次要核心
     * 保留主要核心给游戏使用

2. **AMD处理器**
   - 识别AMD处理器架构
   - 采用统一核心优化策略
   - 分配到处理器末尾核心
   - 保证游戏性能最优化

3. **自适应优化**
   - 自动检测CPU核心数量
   - 智能选择最佳核心分配策略
   - 适应不同处理器架构特点

## 注意事项
1. **重要提醒**
   - 每次重启游戏后都需要重新运行优化工具
   - 确保所有文件始终位于同一目录下
   - 定期检查日志文件了解运行状态

2. **权限要求**
   - 必须以管理员身份运行
   - 如果没有管理员权限，工具将无法正常工作
   - 首次运行可能需要修改 PowerShell 执行策略

3. **兼容性**
   - 支持所有主流CPU架构
   - 适配最新的Windows系统
   - 自动适应不同的处理器配置

## 常见问题
1. **脚本无法运行**
   - 确认是否以管理员身份运行
   - 检查是否将所有文件放在同一目录
   - 验证PowerShell是否可以正常运行
   - 查看日志文件了解详细错误信息

2. **找不到Vanguard进程**
   - 确认游戏是否已经启动
   - 检查Vanguard服务是否正常运行
   - 尝试重启游戏后再次运行工具
   - 查看日志文件中的进程检测记录

3. **优化效果不明显**
   - 确认工具是否成功运行完成
   - 检查日志文件中的CPU分配情况
   - 验证进程优先级是否正确设置
   - 考虑系统其他进程的影响

4. **日志相关问题**
   - 日志文件自动创建和管理
   - 只保留最近10次操作记录
   - 可以安全删除日志文件
   - 工具会自动创建新的日志文件

## 安全声明
1. **工作原理**
   - 仅调整进程优先级和CPU亲和性
   - 不修改任何游戏或系统文件
   - 不影响游戏完整性和反作弊功能
   - 完全符合Valorant使用条款

2. **安全性**
   - 源代码完全开放，可以自行检查
   - 不会收集任何用户数据
   - 不需要联网权限
   - 所有操作都有详细日志记录
   - 可以随时通过任务管理器恢复默认设置

3. **数据保护**
   - 不读取游戏数据
   - 不修改系统关键设置
   - 所有更改都是临时的
   - 重启后自动恢复默认状态

## 技术支持
如果遇到任何问题，欢迎通过以下方式寻求帮助：
- 在GitHub上提交Issue
- 通过电子邮件联系作者
- 查看项目Wiki获取更多信息
- 检查日志文件了解详细运行信息

## 免责声明
本工具仅供学习和研究使用，作者不对使用本工具导致的任何问题负责。使用本工具即表示您同意承担使用过程中的所有风险。建议在使用前备份重要数据。

---
最后更新时间：2025-03-06